## kvirc 4.0.2

=== CMakeLists.txt ===
###############################################################################
##
## KVIrc CMake global configuration file.
##
###############################################################################

###############################################################################
# GLOBAL DEFS
###############################################################################

# Name of the project
PROJECT(kvirc)

# Set conventional loops
SET(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

# Minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.4)

# Check modules first in local dir
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)

# Some vars
SET(PACKAGE "kvirc")
SET(NICENAME "KVIrc")
SET(VERSION_MAJOR "4")
SET(VERSION_BRANCH "4.0")
SET(VERSION_RELEASE "4.0.2")

STRING(REGEX MATCH "[0-9]+$" VERSION_MINOR ${VERSION_BRANCH})

SET(CMAKE_KVIRC_VERSION_MAJOR ${VERSION_MAJOR})
SET(CMAKE_KVIRC_VERSION_BRANCH ${VERSION_BRANCH})
SET(CMAKE_KVIRC_VERSION_RELEASE ${VERSION_RELEASE})
SET(CMAKE_KVIRC_BUILD_COMMAND ${CMAKE_COMMAND})
SET(CMAKE_KVIRC_BUILD_FLAGS)
SET(CMAKE_KVIRC_BUILD_SYSTEM ${CMAKE_SYSTEM})
SET(CMAKE_KVIRC_BUILD_SYSTEM_NAME ${CMAKE_SYSTEM_NAME})
SET(CMAKE_KVIRC_BUILD_SYSTEM_VERSION ${CMAKE_SYSTEM_VERSION})
SET(CMAKE_KVIRC_BUILD_CPU ${CMAKE_SYSTEM_PROCESSOR})
SET(CMAKE_KVIRC_BUILD_COMPILER ${CMAKE_CXX_COMPILER})
SET(CMAKE_KVIRC_BUILD_COMPILER_FLAGS ${CMAKE_CXX_FLAGS})

# Suffix for Linux
SET(LIB_SUFFIX
	CACHE STRING "Define suffix of directory name (32/64)"
)

# Get revision number from SVN
SET(MANUAL_REVISION
	CACHE STRING "Manually set the revision number"
)

STRING(COMPARE EQUAL "${MANUAL_REVISION}" "" MANUAL_REVISION_UNSET)
IF(MANUAL_REVISION_UNSET)
	# No manually forced revision number, gotta guess one now
	IF(EXISTS "${CMAKE_SOURCE_DIR}/.svn" AND IS_DIRECTORY "${CMAKE_SOURCE_DIR}/.svn")
		# We're in a svn structure, let's get the revision number using subversion
		FIND_PACKAGE(Subversion)
		IF(Subversion_FOUND)
			MESSAGE(STATUS "Found Subversion ${Subversion_VERSION_SVN}")
			Subversion_WC_INFO(${PROJECT_SOURCE_DIR} KVIrc)
			IF(DEFINED KVIrc_WC_REVISION)
				SET(CMAKE_KVIRC_BUILD_REVISION ${KVIrc_WC_REVISION})
				MESSAGE(STATUS "Current revision is ${KVIrc_WC_REVISION}")
			ELSE()
				MESSAGE(STATUS "No Subversion working copy found")
			ENDIF()
		ELSE()
			MESSAGE("Subversion not found. No revision number will be used")
		ENDIF()
	ELSE()
		IF(EXISTS "${CMAKE_SOURCE_DIR}/.svnrevision")
			# We're in a release package created using makedist.sh, so we should include a .svnrevision file
			FILE(READ "${CMAKE_SOURCE_DIR}/.svnrevision" DISTSVNREVISION)
			STRING(STRIP "${DISTSVNREVISION}" CMAKE_KVIRC_BUILD_REVISION)
			MESSAGE(STATUS "SVN revision is ${CMAKE_KVIRC_BUILD_REVISION}")
		ELSE()
			MESSAGE(STATUS "No revision number found.")
		ENDIF()
	ENDIF()

ELSE()
	# Manually forced revision number
	SET(CMAKE_KVIRC_BUILD_REVISION ${MANUAL_REVISION})
	MESSAGE(STATUS "Current revision has been manually set to ${MANUAL_REVISION}")
ENDIF()


# Simplify eventual mixed revisions and strange tweaks with letters in it
STRING(REGEX REPLACE ":[0-9a-zA-Z]+" "" CMAKE_KVIRC_BUILD_REVISION "${CMAKE_KVIRC_BUILD_REVISION}")
STRING(REGEX REPLACE "[^0-9]+" "" CMAKE_KVIRC_BUILD_REVISION "${CMAKE_KVIRC_BUILD_REVISION}")


# Set man dir
SET(MANDIR
	CACHE STRING "Define man directory starting from $CMAKE_INSTALL_PREFIX"
)

STRING(COMPARE EQUAL "${MANDIR}" "" MANDIR_UNSET)
IF(MANDIR_UNSET)
	SET(MANDIR_PREFIX "share/man")
ELSE()
	SET(MANDIR_PREFIX "man")
ENDIF()

# Get the build date
TRY_RUN(TEST_DID_RUN TEST_DID_COMPILE "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake/datetime.cpp" OUTPUT_VARIABLE TEST_BUILD_DATE)
IF(TEST_DID_COMPILE)
	STRING(REGEX MATCH "[0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9] [0-9][0-9]:[0-9][0-9]:[0-9][0-9] [A-Z][A-Z][A-Z]" CMAKE_KVIRC_BUILD_DATE "${TEST_BUILD_DATE}")
ELSE()
	SET(CMAKE_KVIRC_BUILD_DATE "ERROR")
ENDIF()

# Set var to link with, for later use
SET(LIBS)
SET(ADDITIONAL_LINK_FLAGS)

# Install path
IF(UNIX)
	IF(APPLE)
		# MacOS X
		# Due to the special bundle structure ignore
		# the prefix eventually set by the user.
		SET(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/KVIrc.app)
	ELSE()
		# Linux / BSD
		IF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
			#fix package build
			IF(PREFIX)
				SET(CMAKE_INSTALL_PREFIX ${PREFIX})
			ELSE()
				SET(CMAKE_INSTALL_PREFIX /usr/local)
			ENDIF()
		ENDIF()
	ENDIF()
ELSEIF(WIN32)
	SET(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/release)
ENDIF()
LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS CMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX})


###############################################################################
#
# Release type
#
###############################################################################
OPTION(USE_ENV_FLAGS "Don't try to set CMAKE_C(XX)_FLAGS; instead, use the ones from environment variables" OFF)
IF(USE_ENV_FLAGS)
	SET(WANT_ENV_FLAGS ON)
ENDIF()

OPTION(WANT_DEBUG "Compile debug symbols" OFF)
IF(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES RelWithDebInfo OR DEBUG OR WITH_DEBUG)
	SET(WANT_DEBUG ON CACHE BOOL "Compile debug symbols" FORCE)
ENDIF()

OPTION(WANT_STRIP "Strip binaries (discard symbols from object files)" OFF)
	
IF(WANT_ENV_FLAGS)
	SET(CMAKE_BUILD_TYPE Undefined)
	SET(CMAKE_STATUS_DEBUG_SUPPORT "Environment-driven")
ELSE()
	IF(WANT_DEBUG)
		SET(WANT_STRIP OFF CACHE BOOL "Strip binaries (discard symbols from object files)" FORCE)
		SET(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
		SET(CMAKE_STATUS_DEBUG_SUPPORT "Yes")
		LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS DEBUG)
		IF(CMAKE_COMPILER_IS_GNUCXX)
			#force gdb format of debug symbols
			SET(CMAKE_CXX_FLAGS "-O0 -ggdb -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			SET(CMAKE_C_FLAGS "-O0 -ggdb -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			INCLUDE(CheckCXXCompilerFlag)
			CHECK_CXX_COMPILER_FLAG("-fvisibility=hidden" CXX_HAS_VH_FLAG)
			CHECK_CXX_COMPILER_FLAG("-fvisibility-inlines-hidden" CXX_HAS_VIH_FLAG)
			#gcc doesn't support visibility on PE/win32
			IF(NOT MINGW)
				IF(CXX_HAS_VH_FLAG)
					SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
					SET(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
				ENDIF()
				IF(CXX_HAS_VIH_FLAG)
					SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
					SET(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
				ENDIF()
			ENDIF()
		ELSE()
			#this small set of options should work on almost all compilers
			SET(CMAKE_CXX_FLAGS "-O0 -g")
			SET(CMAKE_C_FLAGS "-O0 -g")
		ENDIF()
	ELSE()
		IF(WITHOUT_STRIP)
			SET(WANT_STRIP OFF CACHE BOOL "Strip binaries (discard symbols from object files)" FORCE)
			SET(CMAKE_STATUS_DEBUG_SUPPORT "No (Release)")
			SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
		ELSE()
			FIND_PROGRAM(STRIP_EXECUTABLE NAMES strip)
			IF(STRIP_EXECUTABLE)
				SET(WANT_STRIP ON CACHE BOOL "Strip binaries (discard symbols from object files)" FORCE)
				SET(CMAKE_STATUS_DEBUG_SUPPORT "No (Stripped)")
				SET(CMAKE_BUILD_TYPE Release-stripped CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
			ELSE()
				SET(WANT_STRIP OFF CACHE BOOL "Strip binaries (discard symbols from object files)" FORCE)
				SET(CMAKE_STATUS_DEBUG_SUPPORT "No (Release)")
				SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
			ENDIF()
		ENDIF()
		IF(CMAKE_COMPILER_IS_GNUCXX)
			#force gdb options
			SET(CMAKE_CXX_FLAGS "-O3 -fomit-frame-pointer -DNDEBUG --no-enforce-eh-specs -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			SET(CMAKE_C_FLAGS "-O3 -fomit-frame-pointer -DNDEBUG --no-enforce-eh-specs -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			INCLUDE(CheckCXXCompilerFlag)
			CHECK_CXX_COMPILER_FLAG("-fvisibility-inlines-hidden" CXX_HAS_VIH_FLAG)
			#gcc doesn't support visibility on PE/win32
			IF(CXX_HAS_VIH_FLAG AND NOT MINGW)
				SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
				SET(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
			ENDIF()
		ELSE()
			#this small set of options should work on almost all compilers
			SET(CMAKE_CXX_FLAGS "-O3")
			SET(CMAKE_C_FLAGS "-O3")
		ENDIF()
	ENDIF()
ENDIF()

############################################################################
# Check for KDE4
# This has been moved to the top of CMakeLists.txt, since FindKde4 overwrite
# cmake's module search paths, forcing us to use their version of these
# modules (eg: FindOpenSSL, see bug #655)
############################################################################

OPTION(WANT_KDE4 "Whether to use KDE4 support" ON)
IF(WITHOUT_KDE4)
	SET(WANT_KDE4 OFF)
ENDIF()
IF(WANT_KDE4)
	FIND_PACKAGE(KDE4)
	IF(KDE4_FOUND)
		INCLUDE_DIRECTORIES(${KDE4_INCLUDES})
		ADD_DEFINITIONS(${KDE4_DEFINITIONS})
		SET(COMPILE_KDE_SUPPORT 1)
		LIST(APPEND LIBS ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBRARY} ${KDE4_KPARTS_LIBRARY} ${KDE4_KFILE_LIBRARY} ${KDE4_KIO_LIBRARY} ${KDE4_SOLID_LIBRARY})
		SET(CMAKE_STATUS_KDE4_SUPPORT "Yes")
		LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS COMPILE_KDE_SUPPORT)

		# The KDE4 cmake module has a VERY WEIRD behaviour: it adds -Wl,--no-undefined
		# to the CMAKE_MODULE_LINKER_FLAGS .. which is BAD
		STRING(REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})
	ELSE()
		SET(CMAKE_STATUS_KDE4_SUPPORT "Not available")
	ENDIF()
ELSE()
	LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS WITHOUT_KDE4)
	SET(CMAKE_STATUS_KDE4_SUPPORT "User disabled")
ENDIF()

###############################################################################
#
# Verbose Makefile
#
###############################################################################

OPTION(WANT_VERBOSE "Generate verbose Makefiles" OFF)
IF(VERBOSE)
	SET(WANT_VERBOSE ON)
ENDIF()
IF(WANT_VERBOSE)
	SET(CMAKE_VERBOSE_MAKEFILE ON CACHE BOOL "Generate verbose Makefiles")
	SET(CMAKE_STATUS_VERBOSE_SUPPORT "Yes")
	LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS VERBOSE)
ELSE()
	SET(CMAKE_STATUS_VERBOSE_SUPPORT "No")
ENDIF()


###############################################################################
#
# Version compatibility switch: appends VERSION_MAJOR to kvirc and kvilib
#
###############################################################################

OPTION(WANT_COEXISTENCE "Append version to binaries to maintain compatibility with older versions" OFF)
IF(COEXISTENCE)
	SET(WANT_COEXISTENCE ON)
ENDIF()
IF(WANT_COEXISTENCE)
	SET(KVIRC_BINARYNAME ${PACKAGE}${VERSION_MAJOR})
	SET(KVILIB_BINARYNAME kvilib${VERSION_MAJOR})
	SET(CMAKE_STATUS_COEXISTENCE_VER "Yes")
ELSE()
	SET(KVIRC_BINARYNAME ${PACKAGE})
	SET(KVILIB_BINARYNAME kvilib)
	SET(CMAKE_STATUS_COEXISTENCE_VER "No")
ENDIF()

###############################################################################
#
# Module install path: kvirc needs to know where they are installed
#
###############################################################################

IF(UNIX)
	IF(APPLE)
		SET(CMAKE_KVIRC_RESOURCES_DIR "${CMAKE_INSTALL_PREFIX}/Contents/Resources/")
	ELSE()
		# Assume linux
		SET(CMAKE_KVIRC_RESOURCES_DIR "${CMAKE_INSTALL_PREFIX}/share/kvirc/${VERSION_BRANCH}/")
		SET(CMAKE_KVIRC_MODULES_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/kvirc/${VERSION_BRANCH}/modules")
	ENDIF()
ELSEIF(WIN32)
	SET(CMAKE_KVIRC_RESOURCES_DIR "${CMAKE_INSTALL_PREFIX}/")
ENDIF()

###############################################################################
#
# System checks
#
###############################################################################

INCLUDE(CheckTypeSize)

=== po/CMakeLists.txt ===
# CMakeLists for po/

# Find subdirs
SUBDIRS(core defscript modules)

=== data/config/CMakeLists.txt ===
# CMakeLists for data/config

FILE(GLOB files "*.kvc")

IF(UNIX)
	IF(APPLE)
		INSTALL(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/Resources/config/)
	ELSE()
		# Assume linux
		INSTALL(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kvirc/${VERSION_BRANCH}/config/)
	ENDIF()
ELSEIF(WIN32)
	INSTALL(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/config/)
ENDIF()

=== data/defscript/CMakeLists.txt ===
# CMakeLists for data/defscript

FILE(GLOB files "*.kvs")

IF(UNIX)
	IF(APPLE)
		INSTALL(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/Resources/defscript/)
	ELSE()
		# Assume linux
		INSTALL(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kvirc/${VERSION_BRANCH}/defscript/)
	ENDIF()
ELSEIF(WIN32)
	INSTALL(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/defscript/)
ENDIF()

=== data/mimetypes/CMakeLists.txt ===
IF(KDE4_FOUND)
    include(MacroEnsureVersion)

    macro_ensure_version("4.2.0" ${KDE_VERSION} KDE_4_2_FOUND)

    # for KDE 4.2 we require at least version 0.23
    IF(KDE_4_2_FOUND)
        set(SHARED_MIME_INFO_MINIMUM_VERSION "0.23")
    ENDIF(KDE_4_2_FOUND)

    # now to shared mime info
    find_package(SharedMimeInfo)

    IF(SHARED_MIME_INFO_FOUND AND IS_DIRECTORY ${XDG_MIME_INSTALL_DIR})
        install(FILES kvirc.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
        update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
    ENDIF(SHARED_MIME_INFO_FOUND AND IS_DIRECTORY ${XDG_MIME_INSTALL_DIR})
ENDIF(KDE4_FOUND)

=== po/core/CMakeLists.txt ===
# CMakeLists for po/core/

# sed will cut paths at this directory
SET(TRANSLATION_BASEDIR "src")

# Find subdirs
SUBDIRS(
	kvirc
	kvs
)

=== src/kvilib/CMakeLists.txt ===
# CMakeLists.txt for src/kvilib/

INCLUDE_DIRECTORIES(
	config
	core
	ext
	file
	irc
	net
	system
	${QT_INCLUDES}
)

# Please note that the sources have alphabetic order here

SET(kvilib_MOC_HDRS
	ext/kvi_animatedpixmap.h
	ext/kvi_animatedpixmapcache.h
	ext/kvi_crypt.h
	ext/kvi_regusersdb.h
	ext/kvi_sharedfiles.h
	irc/kvi_ircuserdb.h
	net/kvi_dns.h
	net/kvi_http.h
	system/kvi_locale.h
	system/kvi_thread.h
	tal/kvi_tal_application.h
	tal/kvi_tal_filedialog.h
	tal/kvi_tal_groupbox.h
	tal/kvi_tal_hbox.h
	tal/kvi_tal_listwidget.h
	tal/kvi_tal_mainwindow.h
	tal/kvi_tal_menubar.h
	tal/kvi_tal_popupmenu.h
	tal/kvi_tal_tabdialog.h
	tal/kvi_tal_tablewidget.h
	tal/kvi_tal_toolbar.h
	tal/kvi_tal_tooltip.h
	tal/kvi_tal_vbox.h
	tal/kvi_tal_wizard.h
)

IF(COMPILE_DBUS_SUPPORT)
	LIST(APPEND kvilib_MOC_HDRS
		ext/kvi_dbusadaptor.h
	)
ENDIF()

IF(NOT DEFINED COMPILE_DISABLE_AVDEVICE)
	LIST(APPEND kvilib_MOC_HDRS
		ext/avdevice/videodevicepool.h
	)
ENDIF()

# Please note that the sources have alphabetic order here

SET(kvilib_SRCS
	config/kvi_buildinfo.cpp
	core/kvi_error.cpp
	core/kvi_heapobject.cpp
	core/kvi_hstrEqualCIN.cpp
	core/kvi_malloc.cpp
	core/kvi_memmove.cpp
	core/kvi_qstring.cpp
	core/kvi_string.cpp
	ext/kvi_cmdformatter.cpp
	ext/kvi_config.cpp
	ext/kvi_crypt.cpp
	ext/kvi_databuffer.cpp
	ext/kvi_dbusadaptor.cpp
	ext/kvi_garbage.cpp
	ext/kvi_mediatype.cpp
	ext/kvi_miscutils.cpp
	ext/kvi_msgtype.cpp
	ext/kvi_osinfo.cpp
	ext/kvi_pixmap.cpp
	ext/kvi_animatedpixmap.cpp
	ext/kvi_animatedpixmapcache.cpp
	ext/kvi_nickcolors.cpp
	ext/kvi_proxydb.cpp
	ext/kvi_regchan.cpp
	ext/kvi_regusersdb.cpp
	ext/kvi_sharedfiles.cpp
	ext/kvi_stringconversion.cpp
	file/kvi_file.cpp
	file/kvi_fileutils.cpp
	file/kvi_packagefile.cpp
	irc/kvi_avatar.cpp
	irc/kvi_avatarcache.cpp
	irc/kvi_identityprofile.cpp
	irc/kvi_ircmask.cpp
	irc/kvi_ircserver.cpp
	irc/kvi_ircserverdb.cpp
	irc/kvi_ircuserdb.cpp
	irc/kvi_mirccntrl.cpp
	irc/kvi_network.cpp
	irc/kvi_nickserv.cpp
	irc/kvi_useridentity.cpp
	net/kvi_dns.cpp
	net/kvi_http.cpp
	net/kvi_netutils.cpp
	net/kvi_sasl.cpp
	net/kvi_socket.cpp
	net/kvi_ssl.cpp
	net/kvi_url.cpp
	system/kvi_env.cpp
	system/kvi_locale.cpp
	system/kvi_thread.cpp
	system/kvi_time.cpp
	tal/kvi_tal_application.cpp
	tal/kvi_tal_filedialog.cpp
	tal/kvi_tal_groupbox.cpp
	tal/kvi_tal_hbox.cpp
	tal/kvi_tal_itemdelegates.cpp
	tal/kvi_tal_listwidget.cpp
	tal/kvi_tal_mainwindow.cpp
	tal/kvi_tal_menubar.cpp
	tal/kvi_tal_popupmenu.cpp
	tal/kvi_tal_splitter.cpp
	tal/kvi_tal_tabdialog.cpp
	tal/kvi_tal_tablewidget.cpp
	tal/kvi_tal_toolbar.cpp
	tal/kvi_tal_tooltip.cpp
	tal/kvi_tal_vbox.cpp
	tal/kvi_tal_wizard.cpp
)

IF(NOT DEFINED COMPILE_DISABLE_AVDEVICE)
	LIST(APPEND kvilib_SRCS
		ext/avdevice/videodevice.cpp 
		ext/avdevice/videoinput.cpp 
		ext/avdevice/dummyvideodevice.cpp
		ext/avdevice/videodevicevector.cpp
		ext/avdevice/videodevicepool.cpp 
		ext/avdevice/bayer.cpp
		ext/avdevice/sonix_compress.cpp
	)
ENDIF()

IF(NOT DEFINED COMPILE_DISABLE_OGG_THEORA)
	LIST(APPEND kvilib_SRCS
		ext/kvi_oggtheora.cpp
	)
ENDIF()

# After this call, files will be moc'ed to moc_kvi_*.cpp
QT4_WRAP_CPP(kvilib_MOC_SRCS ${kvilib_MOC_HDRS})

# Create library
IF(WANT_COEXISTENCE)
	SET(KVILIB_BINARYNAME kvilib${VERSION_MAJOR})
ELSE()
	SET(KVILIB_BINARYNAME kvilib)
ENDIF()

#we need this defined when mingw will compile moc files
IF(WIN32)
        ADD_DEFINITIONS(-D__KVILIB__)
ENDIF()

ADD_LIBRARY(${KVILIB_BINARYNAME} SHARED ${kvilib_SRCS} ${kvilib_MOC_SRCS})
TARGET_LINK_LIBRARIES(${KVILIB_BINARYNAME} ${LIBS})
SET_TARGET_PROPERTIES(${KVILIB_BINARYNAME} PROPERTIES VERSION ${VERSION_RELEASE} SOVERSION ${VERSION_MAJOR} LINK_FLAGS "${ADDITIONAL_LINK_FLAGS}")

IF(WANT_STRIP)
	GET_TARGET_PROPERTY(KVILIB_LOCATION ${KVILIB_BINARYNAME} LOCATION)
	INSTALL(CODE "EXEC_PROGRAM(${STRIP_EXECUTABLE} ARGS -s \"${KVILIB_LOCATION}\")")
ENDIF()

# Installation directives
IF(UNIX)
	IF(APPLE)
		SET_TARGET_PROPERTIES(${KVILIB_BINARYNAME} PROPERTIES INSTALL_NAME_DIR "@executable_path/../Frameworks")
		INSTALL(TARGETS ${KVILIB_BINARYNAME} LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/Frameworks)
	ELSE()
		# Assume linux
		INSTALL(TARGETS ${KVILIB_BINARYNAME} LIBRARY DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
	ENDIF()
ELSEIF(WIN32)
	# For DLL platforms the DLL part of a shared library is treated as a RUNTIME target and the corresponding import library is treated as an ARCHIVE target
	INSTALL(TARGETS ${KVILIB_BINARYNAME} RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
ENDIF()

=== src/kvirc/CMakeLists.txt ===
# CMakeLists.txt for src/kvirc/

INCLUDE_DIRECTORIES(
	kernel
	kvs
	module
	sparser
	ui
	../kvilib/tal
	../kvilib/config
	../kvilib/core
	../kvilib/ext
	../kvilib/file
	../kvilib/irc
	../kvilib/net
	../kvilib/system
)

SET(kvirc_MOC_HDRS
	ui/kvi_actiondrawer.h
	ui/kvi_channel.h
	ui/kvi_colorwin.h
	ui/kvi_console.h
	ui/kvi_cryptcontroller.h
	ui/kvi_ctcppagedialog.h
	ui/kvi_customtoolbar.h
	ui/kvi_debugwindow.h
	ui/kvi_dynamictooltip.h
	ui/kvi_filedialog.h
	ui/kvi_frame.h
	ui/kvi_historywin.h
	ui/kvi_htmldialog.h
	ui/kvi_imagedialog.h
	ui/kvi_input.h
	ui/kvi_input_editor.h
	ui/kvi_ipeditor.h
	ui/kvi_irctoolbar.h
	ui/kvi_ircview.h
	ui/kvi_ircviewtools.h
	ui/kvi_maskeditor.h
	ui/kvi_mdichild.h
	ui/kvi_mdimanager.h
	ui/kvi_menubar.h
	ui/kvi_modeeditor.h
	ui/kvi_modew.h
	ui/kvi_optionswidget.h
	ui/kvi_query.h
	ui/kvi_scriptbutton.h
	ui/kvi_scripteditor.h
	ui/kvi_selectors.h
	ui/kvi_splash.h
	ui/kvi_statusbar.h
	ui/kvi_statusbarapplet.h
	ui/kvi_texticonwin.h
	ui/kvi_themedcombobox.h
	ui/kvi_themedlabel.h
	ui/kvi_themedlineedit.h
	ui/kvi_toolbar.h
	ui/kvi_toolwindows_container.h
	ui/kvi_topicw.h
	ui/kvi_userlistview.h
	ui/kvi_window.h
	ui/kvi_windowlist.h
	ui/kvi_windowlist_tree.h
	sparser/kvi_sparser.h
	module/kvi_mexlinkfilter.h
	module/kvi_mexserverimport.h
	module/kvi_mextoolbar.h
	module/kvi_modulemanager.h
	kvs/kvi_kvs_action.h
	kvs/kvi_kvs_aliasmanager.h
	kvs/kvi_kvs_asyncdnsoperation.h
	kvs/kvi_kvs_asyncoperation.h
	kvs/kvi_kvs_dnsmanager.h
	kvs/kvi_kvs_object.h
	kvs/kvi_kvs_popupmenu.h
	kvs/kvi_kvs_processmanager.h
	kvs/kvi_kvs_timermanager.h
	kvs/kvi_kvs_useraction.h
	kernel/kvi_action.h
	kernel/kvi_actionmanager.h
	kernel/kvi_app.h
	kernel/kvi_coreactions.h
	kernel/kvi_filetransfer.h
	kernel/kvi_iconmanager.h
	kernel/kvi_ipc.h
	kernel/kvi_ircconnection.h
	kernel/kvi_ircconnectionrequestqueue.h
	kernel/kvi_ircconnectiontargetresolver.h
	kernel/kvi_irccontext.h
	kernel/kvi_irclink.h
	kernel/kvi_ircsocket.h
	kernel/kvi_lagmeter.h
	kernel/kvi_notifylist.h
	kernel/kvi_texticonmanager.h
)

SET(kvirc_SRCS
	ui/kvi_actiondrawer.cpp
	ui/kvi_channel.cpp
	ui/kvi_colorwin.cpp
	ui/kvi_console.cpp
	ui/kvi_cryptcontroller.cpp
	ui/kvi_ctcppagedialog.cpp
	ui/kvi_customtoolbar.cpp
	ui/kvi_debugwindow.cpp
	ui/kvi_dynamictooltip.cpp
	ui/kvi_filedialog.cpp
	ui/kvi_frame.cpp
	ui/kvi_historywin.cpp
	ui/kvi_htmldialog.cpp
	ui/kvi_imagedialog.cpp
	ui/kvi_input.cpp
	ui/kvi_input_editor.cpp
	ui/kvi_input_history.cpp
	ui/kvi_ipeditor.cpp
	ui/kvi_irctoolbar.cpp
	ui/kvi_ircview.cpp
	ui/kvi_ircview_events.cpp
	ui/kvi_ircview_gettextline.cpp
	ui/kvi_ircview_loghandling.cpp
	ui/kvi_ircviewtools.cpp
	ui/kvi_maskeditor.cpp
	ui/kvi_mdichild.cpp
	ui/kvi_mdimanager.cpp
	ui/kvi_menubar.cpp
	ui/kvi_modeeditor.cpp
	ui/kvi_modew.cpp
	ui/kvi_msgbox.cpp
	ui/kvi_optionswidget.cpp
	ui/kvi_query.cpp
	ui/kvi_scriptbutton.cpp
	ui/kvi_scripteditor.cpp
	ui/kvi_selectors.cpp
	ui/kvi_splash.cpp
	ui/kvi_statusbar.cpp
	ui/kvi_statusbarapplet.cpp
	ui/kvi_texticonwin.cpp
	ui/kvi_themedcombobox.cpp
	ui/kvi_themedlabel.cpp
	ui/kvi_themedlineedit.cpp
	ui/kvi_toolbar.cpp
	ui/kvi_toolwindows_container.cpp
	ui/kvi_topicw.cpp
	ui/kvi_userlistview.cpp
	ui/kvi_window.cpp
	ui/kvi_windowlist.cpp
	ui/kvi_windowlist_tree.cpp
	sparser/kvi_antispam.cpp
	sparser/kvi_ircmessage.cpp
	sparser/kvi_sp_ctcp.cpp
	sparser/kvi_sp_literal.cpp
	sparser/kvi_sp_numeric.cpp
	sparser/kvi_sp_tables.cpp
	sparser/kvi_sparser.cpp
	module/kvi_mexlinkfilter.cpp
	module/kvi_mexserverimport.cpp
	module/kvi_mextoolbar.cpp
	module/kvi_module.cpp
	module/kvi_moduleextension.cpp
	module/kvi_modulemanager.cpp
	kvs/kvi_kvs.cpp
	kvs/kvi_kvs_action.cpp
	kvs/kvi_kvs_aliasmanager.cpp
	kvs/kvi_kvs_array.cpp
	kvs/kvi_kvs_arraycast.cpp
	kvs/kvi_kvs_asyncdnsoperation.cpp
	kvs/kvi_kvs_asyncoperation.cpp
	kvs/kvi_kvs_callbackobject.cpp
	kvs/kvi_kvs_corecallbackcommands.cpp
	kvs/kvi_kvs_corefunctions.cpp
	kvs/kvi_kvs_corefunctions_af.cpp
	kvs/kvi_kvs_corefunctions_gl.cpp
	kvs/kvi_kvs_corefunctions_mr.cpp
	kvs/kvi_kvs_corefunctions_sz.cpp
	kvs/kvi_kvs_coresimplecommands.cpp
	kvs/kvi_kvs_coresimplecommands_af.cpp
	kvs/kvi_kvs_coresimplecommands_gl.cpp
	kvs/kvi_kvs_coresimplecommands_mr.cpp
	kvs/kvi_kvs_coresimplecommands_sz.cpp
	kvs/kvi_kvs_dnsmanager.cpp
	kvs/kvi_kvs_event.cpp
	kvs/kvi_kvs_eventhandler.cpp
	kvs/kvi_kvs_eventmanager.cpp
	kvs/kvi_kvs_eventtable.cpp
	kvs/kvi_kvs_hash.cpp
	kvs/kvi_kvs_kernel.cpp
	kvs/kvi_kvs_moduleinterface.cpp
	kvs/kvi_kvs_object.cpp
	kvs/kvi_kvs_object_class.cpp
	kvs/kvi_kvs_object_controller.cpp
	kvs/kvi_kvs_object_functioncall.cpp
	kvs/kvi_kvs_object_functionhandler.cpp
	kvs/kvi_kvs_object_functionhandlerimpl.cpp
	kvs/kvi_kvs_parameterprocessor.cpp
	kvs/kvi_kvs_parser.cpp
	kvs/kvi_kvs_parser_command.cpp
	kvs/kvi_kvs_parser_comment.cpp
	kvs/kvi_kvs_parser_dollar.cpp
	kvs/kvi_kvs_parser_expression.cpp
	kvs/kvi_kvs_parser_lside.cpp
	kvs/kvi_kvs_parser_specialcommands.cpp
	kvs/kvi_kvs_popupmanager.cpp
	kvs/kvi_kvs_popupmenu.cpp
	kvs/kvi_kvs_processmanager.cpp
	kvs/kvi_kvs_report.cpp
	kvs/kvi_kvs_runtimecall.cpp
	kvs/kvi_kvs_runtimecontext.cpp
	kvs/kvi_kvs_rwevaluationresult.cpp
	kvs/kvi_kvs_script.cpp
	kvs/kvi_kvs_scriptaddonmanager.cpp
	kvs/kvi_kvs_switchlist.cpp
	kvs/kvi_kvs_timermanager.cpp
	kvs/kvi_kvs_treenode_aliasfunctioncall.cpp
	kvs/kvi_kvs_treenode_aliassimplecommand.cpp
	kvs/kvi_kvs_treenode_arraycount.cpp
	kvs/kvi_kvs_treenode_arrayelement.cpp
	kvs/kvi_kvs_treenode_arrayorhashelement.cpp
	kvs/kvi_kvs_treenode_arrayreferenceassert.cpp
	kvs/kvi_kvs_treenode_base.cpp
	kvs/kvi_kvs_treenode_baseobjectfunctioncall.cpp
	kvs/kvi_kvs_treenode_callbackcommand.cpp
	kvs/kvi_kvs_treenode_command.cpp
	kvs/kvi_kvs_treenode_commandevaluation.cpp
	kvs/kvi_kvs_treenode_commandwithparameters.cpp
	kvs/kvi_kvs_treenode_compositedata.cpp
	kvs/kvi_kvs_treenode_constantdata.cpp
	kvs/kvi_kvs_treenode_corecallbackcommand.cpp
	kvs/kvi_kvs_treenode_corefunctioncall.cpp
	kvs/kvi_kvs_treenode_coresimplecommand.cpp
	kvs/kvi_kvs_treenode_data.cpp
	kvs/kvi_kvs_treenode_datalist.cpp
	kvs/kvi_kvs_treenode_expression.cpp
	kvs/kvi_kvs_treenode_expressionreturn.cpp
	kvs/kvi_kvs_treenode_extendedscopevariable.cpp
	kvs/kvi_kvs_treenode_functioncall.cpp
	kvs/kvi_kvs_treenode_globalvariable.cpp
	kvs/kvi_kvs_treenode_hashcount.cpp
	kvs/kvi_kvs_treenode_hashelement.cpp
	kvs/kvi_kvs_treenode_hashreferenceassert.cpp
	kvs/kvi_kvs_treenode_indirectdata.cpp
	kvs/kvi_kvs_treenode_instruction.cpp
	kvs/kvi_kvs_treenode_instructionblock.cpp
	kvs/kvi_kvs_treenode_localvariable.cpp
	kvs/kvi_kvs_treenode_modulecallbackcommand.cpp
	kvs/kvi_kvs_treenode_modulefunctioncall.cpp
	kvs/kvi_kvs_treenode_modulesimplecommand.cpp
	kvs/kvi_kvs_treenode_multipleparameteridentifier.cpp
	kvs/kvi_kvs_treenode_objectfield.cpp
	kvs/kvi_kvs_treenode_objectfunctioncall.cpp
	kvs/kvi_kvs_treenode_operation.cpp
	kvs/kvi_kvs_treenode_parameterreturn.cpp
	kvs/kvi_kvs_treenode_rebindingswitch.cpp
	kvs/kvi_kvs_treenode_scopeoperator.cpp
	kvs/kvi_kvs_treenode_simplecommand.cpp
	kvs/kvi_kvs_treenode_singleparameteridentifier.cpp
	kvs/kvi_kvs_treenode_specialcommand.cpp
	kvs/kvi_kvs_treenode_specialcommandbreak.cpp
	kvs/kvi_kvs_treenode_specialcommandclass.cpp
	kvs/kvi_kvs_treenode_specialcommandcontinue.cpp
	kvs/kvi_kvs_treenode_specialcommanddefpopup.cpp
	kvs/kvi_kvs_treenode_specialcommanddo.cpp
	kvs/kvi_kvs_treenode_specialcommandfor.cpp
	kvs/kvi_kvs_treenode_specialcommandforeach.cpp
	kvs/kvi_kvs_treenode_specialcommandif.cpp
	kvs/kvi_kvs_treenode_specialcommandswitch.cpp
	kvs/kvi_kvs_treenode_specialcommandunset.cpp
	kvs/kvi_kvs_treenode_specialcommandwhile.cpp
	kvs/kvi_kvs_treenode_stringcast.cpp
	kvs/kvi_kvs_treenode_switchlist.cpp
	kvs/kvi_kvs_treenode_thisobjectfunctioncall.cpp
	kvs/kvi_kvs_treenode_variable.cpp
	kvs/kvi_kvs_treenode_voidfunctioncall.cpp
	kvs/kvi_kvs_useraction.cpp
	kvs/kvi_kvs_variant.cpp
	kvs/kvi_kvs_variantlist.cpp
	kernel/kvi_action.cpp
	kernel/kvi_actionmanager.cpp
	kernel/kvi_app.cpp
	kernel/kvi_app_fs.cpp
	kernel/kvi_app_setup.cpp
	kernel/kvi_asynchronousconnectiondata.cpp
	kernel/kvi_coreactions.cpp
	kernel/kvi_customtoolbardescriptor.cpp
	kernel/kvi_customtoolbarmanager.cpp
	kernel/kvi_filetransfer.cpp
	kernel/kvi_htmlgenerator.cpp
	kernel/kvi_iconmanager.cpp
	kernel/kvi_internalcmd.cpp
	kernel/kvi_ipc.cpp
	kernel/kvi_ircconnection.cpp
	kernel/kvi_ircconnectionantictcpflooddata.cpp
	kernel/kvi_ircconnectionasyncwhoisdata.cpp
	kernel/kvi_ircconnectionnetsplitdetectordata.cpp
	kernel/kvi_ircconnectionrequestqueue.cpp
	kernel/kvi_ircconnectionserverinfo.cpp
	kernel/kvi_ircconnectionstatedata.cpp
	kernel/kvi_ircconnectionstatistics.cpp
	kernel/kvi_ircconnectiontarget.cpp
	kernel/kvi_ircconnectiontargetresolver.cpp
	kernel/kvi_ircconnectionuserinfo.cpp
	kernel/kvi_irccontext.cpp
	kernel/kvi_ircdatastreammonitor.cpp
	kernel/kvi_irclink.cpp
	kernel/kvi_ircsocket.cpp
	kernel/kvi_ircurl.cpp
	kernel/kvi_lagmeter.cpp
	kernel/kvi_main.cpp
	kernel/kvi_notifylist.cpp
	kernel/kvi_options.cpp
	kernel/kvi_sslmaster.cpp
	kernel/kvi_texticonmanager.cpp
	kernel/kvi_theme.cpp
	kernel/kvi_useraction.cpp
	kernel/kvi_userinput.cpp
)

# After this call, files will be moc'ed to moc_kvi_*.cpp
QT4_WRAP_CPP(kvirc_MOC_SRCS ${kvirc_MOC_HDRS})

IF(MINGW)
	# resource compilation for mingw
	ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/win32_resource.o
		COMMAND windres.exe -I${CMAKE_SOURCE_DIR}/data/resources_win32/ -i${CMAKE_SOURCE_DIR}/data/resources_win32/kvirc.rc -o${CMAKE_CURRENT_BINARY_DIR}/win32_resource.o
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/data/resources_win32
	)
	LIST(APPEND kvirc_SRCS ${CMAKE_CURRENT_BINARY_DIR}/win32_resource.o)
ENDIF()

IF(MSVC)
	LIST(APPEND LIBS shlwapi.lib)
ENDIF()

# Link libraries
ADD_EXECUTABLE(${KVIRC_BINARYNAME} ${kvirc_SRCS} ${kvirc_MOC_SRCS})
TARGET_LINK_LIBRARIES(${KVIRC_BINARYNAME} ${KVILIB_BINARYNAME} ${LIBS})
SET_TARGET_PROPERTIES(${KVIRC_BINARYNAME} PROPERTIES LINK_FLAGS "${ADDITIONAL_LINK_FLAGS}")

IF(CMAKE_HOST_SYSTEM MATCHES "FreeBSD")
	SET_TARGET_PROPERTIES(${KVIRC_BINARYNAME} PROPERTIES LINK_FLAGS -export-dynamic)
	MESSAGE(STATUS "Patching for FreeBSD...")
ENDIF()

IF(WIN32)
	# Needed for linking
	SET_TARGET_PROPERTIES(${KVIRC_BINARYNAME} PROPERTIES ENABLE_EXPORTS ON)

	# We need this defined when mingw will compile moc files
	ADD_DEFINITIONS(-D__KVIRC__)
	ADD_DEFINITIONS(-DCOMPILE_USE_STANDALONE_MOC_SOURCES)
ENDIF()

IF(WANT_STRIP)
	GET_TARGET_PROPERTY(KVIRC_LOCATION ${KVIRC_BINARYNAME} LOCATION)
	INSTALL(CODE "EXEC_PROGRAM(${STRIP_EXECUTABLE} ARGS -s \"${KVIRC_LOCATION}\")")
ENDIF()

# Installation directives
IF(UNIX)
	IF(APPLE)
		INSTALL(TARGETS ${KVIRC_BINARYNAME} RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/MacOS)
	ELSE()
		# Assume linux
		INSTALL(TARGETS ${KVIRC_BINARYNAME} RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
	ENDIF()
ELSEIF(WIN32)
	INSTALL(TARGETS ${KVIRC_BINARYNAME} RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
ENDIF()

=== src/modules/CMakeLists.txt ===
# CMakeLists.txt for src/modules/
IF(APPLE)
	SET(CMAKE_MODULE_LINKER_FLAGS "-undefined dynamic_lookup")
ENDIF()

INCLUDE_DIRECTORIES(
	../kvilib/tal/
	../kvilib/config/
	../kvilib/core/
	../kvilib/ext/
	../kvilib/file/
	../kvilib/irc/
	../kvilib/net/
	../kvilib/system/
	../kvirc/kernel/
	../kvirc/kvs/
	../kvirc/module/
	../kvirc/sparser/
	../kvirc/ui/
)

SUBDIRS(
	about action actioneditor addon aliaseditor avatar
	chan channelsjoin classeditor codetester config context
	dcc dialog
	editor eventeditor
	file filetransferwindow
	help http
	ident iograph
	lamerizer language links list log logview
	mask math mediaplayer mircimport my
	notifier
	objects options
	perlcore popupeditor proxydb pythoncore
	raweditor regchan reguser rijndael rot13
	serverdb setup sharedfile sharedfileswindow snd socketspy spaste str system
	texticons term theme tip tmphighlight toolbar toolbareditor torrent trayicon
	upnp
	url
	window
)

IF(COMPILE_PERL_SUPPORT)
	SUBDIRS(perl)
ENDIF()

IF(COMPILE_PYTHON_SUPPORT)
	SUBDIRS(python)
ENDIF()

=== po/modules/editor/CMakeLists.txt ===
# CMakeLists for po/modules/editor
# Includes:
# src/modules/actioneditor
# src/modules/aliaseditor
# src/modules/classeditor
# src/modules/editor
# src/modules/eventeditor
# src/modules/popupeditor
# src/modules/raweditor
# src/modules/toolbareditor

FILE(GLOB pofiles "${CMAKE_CURRENT_SOURCE_DIR}/*.po")
FILE(GLOB mofiles "${CMAKE_CURRENT_SOURCE_DIR}/*.mo")

SET(POTFILE editor.pot)
SET(XGETTEXT_SOURCESDIR)
LIST(APPEND XGETTEXT_SOURCESDIR ${CMAKE_SOURCE_DIR}/src/modules/actioneditor)
LIST(APPEND XGETTEXT_SOURCESDIR ${CMAKE_SOURCE_DIR}/src/modules/aliaseditor)
LIST(APPEND XGETTEXT_SOURCESDIR ${CMAKE_SOURCE_DIR}/src/modules/classeditor)
LIST(APPEND XGETTEXT_SOURCESDIR ${CMAKE_SOURCE_DIR}/src/modules/editor)
LIST(APPEND XGETTEXT_SOURCESDIR ${CMAKE_SOURCE_DIR}/src/modules/eventeditor)
LIST(APPEND XGETTEXT_SOURCESDIR ${CMAKE_SOURCE_DIR}/src/modules/popupeditor)
LIST(APPEND XGETTEXT_SOURCESDIR ${CMAKE_SOURCE_DIR}/src/modules/raweditor)
LIST(APPEND XGETTEXT_SOURCESDIR ${CMAKE_SOURCE_DIR}/src/modules/toolbareditor)

# Install target
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/translation.rules.txt)

=== src/modules/about/CMakeLists.txt ===
# CMakeLists for src/modules/about
SET(kviabout_MOC_HDRS
	aboutdialog.h
)

SET(kviabout_SRCS
	aboutdialog.cpp
	libkviabout.cpp
)

# After this call, files will be moc'ed to moc_kvi_*.cpp
QT4_WRAP_CPP(kviabout_MOC_SRCS ${kviabout_MOC_HDRS})
SET(kvi_module_name kviabout)
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

=== src/modules/actioneditor/CMakeLists.txt ===
# CMakeLists for src/modules/actioneditor

SET(kviactioneditor_MOC_HDRS
	actioneditor.h
)

SET(kviactioneditor_SRCS
	actioneditor.cpp
	libkviactioneditor.cpp
)

# After this call, files will be moc'ed to moc_kvi_*.cpp
QT4_WRAP_CPP(kviactioneditor_MOC_SRCS ${kviactioneditor_MOC_HDRS})

SET(kvi_module_name kviactioneditor)
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

=== debian/changelog ===
kvirc (4:4.0.2-1) unstable; urgency=low

  The "Leyline of the Void" release

  * New upstream release. (Closes: #590932)
    - Upstream skipped 4.0.1 as an official release.
    - debian/patches/00_upstream_patches_for_4.0.patch: Deleted.
  * debian/source/options: Added to ensure BZip2 compression.
  * debian/watch: Use "latest" directory on FTP server.
  * debian/kvirc.lintian-overrides: Updated.
  * Enable Python scripting support:
    - debian/patches/20_rm_python_stub.patch: Deleted.
    - debian/rules: Removed WITHOUT_PYTHON flag.
    - debian/control: Added python-dev to Build-Depends.

 -- Kai Wasserbäch <debian@carbon-project.org>  Mon, 02 Aug 2010 16:22:44 +0200

=== debian/control ===
Source: kvirc
Build-Depends: debhelper (>= 7.3.16), cmake, kdelibs5-dev, libperl-dev,
 pkg-kde-tools (>= 0.9), zlib1g-dev, libx11-dev, libxrender-dev, libssl-dev,
 libqt4-dev (>= 4.5.0), libcrypto++-dev, pkg-config, libxss-dev, python-dev
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Raúl Sánchez Siles <rasasi78@gmail.com>,
 Kai Wasserbäch <debian@carbon-project.org>,
 Mark Purcell <msp@debian.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.1
Vcs-Hg: http://hg.debian.org/hg/pkg-kde/kde-extras/kvirc/
Vcs-Browser: http://hg.debian.org/hg/pkg-kde/kde-extras/kvirc/
Homepage: http://www.kvirc.de/

Package: kvirc
Architecture: any
Depends: kvirc-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: kvirc-data (<< ${source:Version})
Breaks: kvirc-data (<< ${source:Version})
Conflicts: kvirc-dev
Suggests: kvirc-dbg (= ${source:Version})
Description: KDE-based next generation IRC client with module support
 A highly configurable graphical IRC client with an MDI interface,
 built-in scripting language, support for IRC DCC, drag & drop file
 browsing, and much more. KVIrc uses the KDE widget set, can be extended
 using its own scripting language, integrates with KDE, and supports
 custom plugins.
 .
 If you're looking for a simple and plain IRC client, KVIrc is probably the
 wrong choice as it is rather big. But if you want a highly customizable client
 you won't regret the installation.

Package: kvirc-data
Architecture: all
Depends: ${misc:Depends}
Suggests: kvirc (>= ${source:Version})
Description: Data files for KVIrc
 This package contains the architecture-independent data needed by KVIrc in
 order to run, such as icons and images, language files, and shell scripts.
 It also contains complete reference guides on scripting and functions
 within KVIrc in its internal help format.

Package: kvirc-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kvirc (= ${binary:Version}), ${misc:Depends}
Description: KVIrc (IRC client) debugging symbols
 A highly configurable graphical IRC client with an MDI interface,
 built-in scripting language, support for IRC DCC, drag & drop file
 browsing, and much more. KVIrc uses the KDE widget set, can be extended
 using its own scripting language, integrates with KDE, and supports
 custom plugins.
 .
 This package is intended to help debugging possible problems with KVIrc.

=== debian/rules ===
#! /usr/bin/make -f
#
DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.hg:.hgignore

DEBVERSION = $(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION = $(shell echo $(DEBVERSION) | sed -r -e 's/^.*://' -e 's/-[0-9.]*(\+b[0-9])?$$//' -e 's/.dfsg[0-9]*$$//')
REV = $(shell echo $(UPVERSION) | sed -e 's/^.*svn//' -e 's/\+rc[0-9]$$//')

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DWANT_COEXISTANCE=OFF \
			-DWITHOUT_ESD=YES -DWITHOUT_OSS=YES \
			-DWITH_NO_EMBEDDED_CODE=YES -DWITHOUT_STRIP=ON \
			-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
			-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
			-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

override_dh_install:
	dh_install --parallel --list-missing -XCOPYING

%:
	dh --parallel --dbg-package=kvirc-dbg --with kde $@


get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo 'Checking out for repacking (might take 15 min) ... REV: ' $(REV)
	@@svn export https://svn.kvirc.de/svn/trunk/kvirc@$(REV) ../tarballs/kvirc-$(REV).tmp
	@@echo 'Getting the changelog (might take 15 min) ...'
	@@cd ../tarballs/kvirc-$(REV).tmp; svn2cl -o changelog https://svn.kvirc.de/svn/trunk/kvirc@$(REV)
	@@echo Creating the tarball ...
	@@cd ../tarballs/kvirc-$(REV).tmp; tar jcf ../kvirc_$(UPVERSION).orig.tar.bz2 *
	@@rm -rf ../tarballs/kvirc-$(REV).tmp
	@@echo Ready for packaging.

=== debian/watch ===
version=3

# our URL
opts=pasv ftp://ftp.kvirc.de/pub/kvirc/latest/source/kvirc-([\d\.]+)\.tar\.bz2
